Bug 1410781 - osad doesn't pick up new task after reboot event
Summary: osad doesn't pick up new task after reboot event
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Client
Version: 580
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eric Herget
QA Contact: Pavel Studeník
URL:
Whiteboard:
Depends On:
Blocks: 1340444
TreeView+ depends on / blocked
 
Reported: 2017-01-06 13:28 UTC by Pavel Studeník
Modified: 2020-08-13 08:47 UTC (History)
4 users (show)

Fixed In Version: osad-5.11.63-10-sat
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-21 12:12:41 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Pavel Studeník 2017-01-06 13:28:43 UTC
Description of problem:
I registered new system to satellite and enabled osad service. I planned some new tasks (events created by in webui) after reboot. But after system was rebooted and osad started, the new tasks from queue weren't picked up.

Version-Release number of selected component (if applicable):
osad-5.11.63-8.el6sat.noarch
rhn-check-1.0.0.1-39.el6.noarch

How reproducible:
always

Steps to Reproduce:
1. register system to satellite
2. install and run osad (enable the service)
3. schedule reboot and make some new events (install, remove, deploy.. doesn't matter)
4. after reboot no events are picked up from queue by osad

Actual results:
nothing happens 

Expected results:
all new task will pick up by osad

Comment 1 Jiří Dostál 2017-01-06 15:48:18 UTC
I did some investigation on this one and this issue is only reproducible by scheduling reboot with 'Schedule System Reboot' on System Overview page. I've tried scheduling reboot with remote command 'shutdown -r +3' and everything went fine.

Comment 2 Eric Herget 2017-02-16 22:02:35 UTC
spacewalk.github:
6df7c1d141e6dd503dbfdd5c70b02a716fbe9223

osad-5.11.80-1

Comment 4 Pavel Studeník 2017-05-15 11:02:52 UTC
It fixed for following packages 

osad-5.11.63-11.el5sat
osad-5.11.63-11.el6sat.noarch
osad-5.11.63-11.el7sat.noarch

Comment 5 Lukáš Hellebrandt 2017-06-12 13:26:05 UTC
Reverified with osad-5.11.63-11.


Note You need to log in before you can comment on or make changes to this bug.